/*************************   Point Class   *******************************/
class Point2d {
  int x;
  int y;
  
  Point2d( int xi, int yi ) {
    x = xi;
    y = yi;
  }
  
  void display() {
    noStroke();
    fill( 0,255,0 );
    ellipse( x, y, 1, 1 );
  }
  
  float angle( Point2d p1 ) {
    //finds the angle between this ball and another
    float dx = p1.x - this.x;
    float dy = p1.y - this.y;
    float angle = atan2( dy, dx );
    return angle;
  }// End function Ball.angle
}
